Skip to main content
PUT
/
v1
/
groups
/
{groupId}
/
contacts
Add contacts to a group
curl --request PUT \
  --url https://api.prod.getdex.com/v1/groups/{groupId}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "error": true,
  "data": {
    "result": {}
  }
}

Use cases

  • Let users drag-and-drop contacts into a group
  • Bulk-add contacts to a group after filtering or searching
  • Automatically organize imported contacts into groups
If a contact is already a member of the group, it will be silently skipped — no error is returned.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Path Parameters

groupId
string<uuid>
required

Body

application/json
contactIds
string<uuid>[]
required
Minimum array length: 1

Response

Successful response

error
boolean
required
data
object
required